Costfluent Docs
  • Documentation
  • API Reference
Information
Workspaces
    List workspacesgetCreate workspacepostGet workspacegetUpdate workspaceputDelete workspacedeleteGet the workspace's exchange rate policyget
Virtual Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Virtual-Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Utility
    Get current token infogetHealth checkget
Me
    Get current token infoget
Ping
    Health checkget
Tags
    Get tag keygetDelete tag keydeleteList tag keysget
Tag-Keys
    Get tag keygetDelete tag keydeleteList tag keysget
Saved Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Saved-Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Providers
    List providersgetConnect providerpostGet providergetDelete providerdeleteGet available providersgetGet provider sync historygetTest provider connectionpostTrigger provider syncpostUpdate providerput
Folders
    List foldersgetCreate folderpostGet foldergetUpdate folderputDelete folderdelete
Exchange Rates
    Get available currenciesgetGet exchange rategetGet the workspace's exchange rate policygetList exchange ratesget
Exchange-Rates
    Get available currenciesgetGet exchange rategetList exchange ratesget
Dashboards
    List dashboardsgetCreate dashboardpostGet dashboardgetUpdate dashboardputDelete dashboarddelete
Custom Provider
    Submit costs batchpost
Custom-Providers
    Submit costs batchpost
Report Notifications
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost-Report-Subscriptions
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost-Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost Data
    Get cost datagetGet cost forecastgetGet cost summaryget
Costs
    Get cost datagetGet cost forecastgetGet cost summaryget
Cost Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Cost-Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Contracting
    Get the data processing agreement statusget
Budgets
    List budgetsgetCreate budgetpostGet budgetgetUpdate budgetputDelete budgetdelete
Billing
    Get the account's entitlementgetGet the account's metered usageget
Entitlement
    Get the account's entitlementget
Usage
    Get the account's metered usageget
Anomalies
    Acknowledge anomalypostList anomaliesget
Allocation
    List allocation rulesgetCreate an allocation rulepostUpdate an allocation ruleputDelete an allocation ruledeleteReorder the allocation rule setpostRead allocation coveragegetList segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdeletePreview an allocation rulepost
Segments
    List segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdelete
Schemas
Costfluent Public API
Costfluent Public API

Report Notifications

Server
Download schema

Activate report notification

POST
https://api.costfluent.com
/v1/cost-report-subscriptions/{subscriptionId}/activate
Bearer (API token)

Activates a paused report notification

Activate report notification › path Parameters

​CostfluentSharedKernelPublicIdsCostReportSubscriptionPublicId · required

Activate report notification › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Activate report notification › Responses

No Content

No data returned
POST/v1/cost-report-subscriptions/{subscriptionId}/activate
curl 'https://api.costfluent.com/v1/cost-report-subscriptions/:subscriptionId/activate?workspaceId=[object Object]' \ --request POST \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

List report notifications

GET
https://api.costfluent.com
/v1/cost-report-subscriptions
Bearer (API token)

Returns all report notifications for a workspace

List report notifications › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required
costReportId
​

List report notifications › Responses

Success

CostfluentPublicApiModelsV1ResponsesCostReportSubscriptionListResponse
​CostfluentPublicApiModelsV1ResponsesCostReportSubscriptionResponse[] · required
total
​integer · int32 · required
GET/v1/cost-report-subscriptions
curl 'https://api.costfluent.com/v1/cost-report-subscriptions?workspaceId=[object Object]' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "subscriptions": [ { "id": { "Value": "Value" }, "costReportId": { "Value": "Value" }, "name": "name", "scheduleType": "scheduleType", "appIds": [ { "Value": "Value" } ], "isActive": true, "lastSentAt": "2024-08-25T15:00:00Z", "nextScheduledAt": "2024-08-25T15:00:00Z", "createdAt": "2024-08-25T15:00:00Z", "updatedAt": "2024-08-25T15:00:00Z" } ], "total": 0 }
json
application/json

Create report notification

POST
https://api.costfluent.com
/v1/cost-report-subscriptions
Bearer (API token)

Creates a new scheduled report notification

Create report notification › Request Body

CostfluentPublicApiModelsV1RequestsCreateCostReportSubscriptionRequest
​CostfluentSharedKernelPublicIdsWorkspacePublicId · minLength: 1 · required
​CostfluentSharedKernelPublicIdsCostReportPublicId · minLength: 1 · required
name
​string · minLength: 0 · maxLength: 200 · required
scheduleType
​CostfluentDomainEnumsScheduleType · enum · required
Enum values:
daily
weekly
monthly
​CostfluentSharedKernelPublicIdsAppPublicId[] · minLength: 1 · required

Create report notification › Responses

Success

CostfluentPublicApiModelsV1ResponsesCostReportSubscriptionCreatedResponse
​CostfluentSharedKernelPublicIdsCostReportSubscriptionPublicId · required
name
​string · required
POST/v1/cost-report-subscriptions
curl https://api.costfluent.com/v1/cost-report-subscriptions \ --request POST \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{ "workspaceId": { "Value": "Value" }, "costReportId": { "Value": "Value" }, "name": "name", "scheduleType": "daily", "appIds": [ { "Value": "Value" } ] }'
Example Request Body
{ "workspaceId": { "Value": "Value" }, "costReportId": { "Value": "Value" }, "name": "name", "scheduleType": "daily", "appIds": [ { "Value": "Value" } ] }
json
Example Responses
{ "id": { "Value": "Value" }, "name": "name" }
json
application/json

Deactivate report notification

POST
https://api.costfluent.com
/v1/cost-report-subscriptions/{subscriptionId}/deactivate
Bearer (API token)

Deactivates a report notification

Deactivate report notification › path Parameters

​CostfluentSharedKernelPublicIdsCostReportSubscriptionPublicId · required

Deactivate report notification › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Deactivate report notification › Responses

No Content

No data returned
POST/v1/cost-report-subscriptions/{subscriptionId}/deactivate
curl 'https://api.costfluent.com/v1/cost-report-subscriptions/:subscriptionId/deactivate?workspaceId=[object Object]' \ --request POST \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

Get report notification

GET
https://api.costfluent.com
/v1/cost-report-subscriptions/{subscriptionId}
Bearer (API token)

Returns a specific report notification

Get report notification › path Parameters

​CostfluentSharedKernelPublicIdsCostReportSubscriptionPublicId · required

Get report notification › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Get report notification › Responses

Success

CostfluentPublicApiModelsV1ResponsesCostReportSubscriptionResponse
​CostfluentSharedKernelPublicIdsCostReportSubscriptionPublicId · required
​CostfluentSharedKernelPublicIdsCostReportPublicId · required
name
​string · required
scheduleType
​string · required
​CostfluentSharedKernelPublicIdsAppPublicId[] · required
isActive
​boolean
lastSentAt
​string | null · date-time
nextScheduledAt
​string | null · date-time
createdAt
​string · date-time
updatedAt
​string | null · date-time
GET/v1/cost-report-subscriptions/{subscriptionId}
curl 'https://api.costfluent.com/v1/cost-report-subscriptions/:subscriptionId?workspaceId=[object Object]' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "id": { "Value": "Value" }, "costReportId": { "Value": "Value" }, "name": "name", "scheduleType": "scheduleType", "appIds": [ { "Value": "Value" } ], "isActive": true, "lastSentAt": "2024-08-25T15:00:00Z", "nextScheduledAt": "2024-08-25T15:00:00Z", "createdAt": "2024-08-25T15:00:00Z", "updatedAt": "2024-08-25T15:00:00Z" }
json
application/json

Delete report notification

DELETE
https://api.costfluent.com
/v1/cost-report-subscriptions/{subscriptionId}
Bearer (API token)

Deletes a report notification

Delete report notification › path Parameters

​CostfluentSharedKernelPublicIdsCostReportSubscriptionPublicId · required

Delete report notification › query Parameters

​CostfluentSharedKernelPublicIdsWorkspacePublicId · required

Delete report notification › Responses

No Content

No data returned
DELETE/v1/cost-report-subscriptions/{subscriptionId}
curl 'https://api.costfluent.com/v1/cost-report-subscriptions/:subscriptionId?workspaceId=[object Object]' \ --request DELETE \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

Update report notification

PATCH
https://api.costfluent.com
/v1/cost-report-subscriptions/{subscriptionId}
Bearer (API token)

Updates a report notification

Update report notification › path Parameters

​CostfluentSharedKernelPublicIdsCostReportSubscriptionPublicId · required

Update report notification › Request Body

CostfluentPublicApiEndpointsV1CostReportSubscriptionsUpdateCostReportSubscriptionRouteRequest

Update report notification › Responses

No Content

No data returned
PATCH/v1/cost-report-subscriptions/{subscriptionId}
curl https://api.costfluent.com/v1/cost-report-subscriptions/:subscriptionId \ --request PATCH \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <token>' \ --data '{}'
Example Request Body
{}
json
Example Responses
No example specified for this content type

Custom-ProvidersCost-Report-Subscriptions